#trace on
#
# set up some strings for dialling up
#
if ![load $number]
  if [query $number "Enter your dial up phone number"]
    save $number
  end
end
if ![load $username]
  if [username "Enter your login username" (Enter slip:yourUserID)]
    save $username
  end
end
if ![load $password]
  if [password "Enter your login password"]
    save $password
  end
end
$modemsetup = "&c1&k3"
$prompt = ">"
$userprompt = "User-ID"
$passprompt = "assword:"
$slipcmd = "slip"
$addrtarg = "Your address is:"
$pppcmd = "ppp"

%attempts = 10
#
#
#----------------------------------------------------------
#
# initialize modem
#
output "atz"\13
if ! [input 10 OK\n]
  display "Modem is not responding"\n
  abort
end
#
# setup our modem commands
#
output "at"$modemsetup\13
input 10 OK\n
#
# send phone number
#
%n = 0
repeat
  if %n = %attempts
    display "Too many dial attempts"\n
    abort
  end
  output "atdt"$number\13
  %ok = [input 60 CONNECT]
  %n = %n + 1
until %ok
input 10 \n
#
#  wait till it's safe to send because some modem's hang up
#  if you transmit during the connection phase
#
wait 30 dcd
#
#
#  wait for protocol question
#  You may have to change this if your BBS is not asking you for
#  a language.
display "Waiting for Language prompt..."\n
#
input 30 "1 to"
output 1\13
#
#  wait for the username prompt
display "Waiting for User-ID prompt..."\n
#
input 30 $userprompt
output $username\13
#
# and the password
#
display "Waiting for Password prompt..."\n
input 30 $passprompt
output $password\13
#
# we are now logged in
#
input 20 ***
input 5 $addrtarg
#
# parse address
#
address 5
#
# we are now connected, logged in and in slip mode.
#
display \n
display Connected.  Your IP address is \i.\n
#
# now we are finished.
#
